<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOdemeIslemleri ArrayType
 * @subpackage Arrays
 */
class ArrayOfOdemeIslemleri extends AbstractStructArrayBase
{
    /**
     * The OdemeIslemleri
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OdemeIslemleri[]
     */
    public $OdemeIslemleri;
    /**
     * Constructor method for ArrayOfOdemeIslemleri
     * @uses ArrayOfOdemeIslemleri::setOdemeIslemleri()
     * @param \StructType\OdemeIslemleri[] $odemeIslemleri
     */
    public function __construct(array $odemeIslemleri = array())
    {
        $this
            ->setOdemeIslemleri($odemeIslemleri);
    }
    /**
     * Get OdemeIslemleri value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OdemeIslemleri[]|null
     */
    public function getOdemeIslemleri()
    {
        return isset($this->OdemeIslemleri) ? $this->OdemeIslemleri : null;
    }
    /**
     * This method is responsible for validating the values passed to the setOdemeIslemleri method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOdemeIslemleri method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOdemeIslemleriForArrayConstraintsFromSetOdemeIslemleri(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfOdemeIslemleriOdemeIslemleriItem) {
            // validation for constraint: itemType
            if (!$arrayOfOdemeIslemleriOdemeIslemleriItem instanceof \StructType\OdemeIslemleri) {
                $invalidValues[] = is_object($arrayOfOdemeIslemleriOdemeIslemleriItem) ? get_class($arrayOfOdemeIslemleriOdemeIslemleriItem) : sprintf('%s(%s)', gettype($arrayOfOdemeIslemleriOdemeIslemleriItem), var_export($arrayOfOdemeIslemleriOdemeIslemleriItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OdemeIslemleri property can only contain items of type \StructType\OdemeIslemleri, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OdemeIslemleri value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OdemeIslemleri[] $odemeIslemleri
     * @return \ArrayType\ArrayOfOdemeIslemleri
     */
    public function setOdemeIslemleri(array $odemeIslemleri = array())
    {
        // validation for constraint: array
        if ('' !== ($odemeIslemleriArrayErrorMessage = self::validateOdemeIslemleriForArrayConstraintsFromSetOdemeIslemleri($odemeIslemleri))) {
            throw new \InvalidArgumentException($odemeIslemleriArrayErrorMessage, __LINE__);
        }
        if (is_null($odemeIslemleri) || (is_array($odemeIslemleri) && empty($odemeIslemleri))) {
            unset($this->OdemeIslemleri);
        } else {
            $this->OdemeIslemleri = $odemeIslemleri;
        }
        return $this;
    }
    /**
     * Add item to OdemeIslemleri value
     * @throws \InvalidArgumentException
     * @param \StructType\OdemeIslemleri $item
     * @return \ArrayType\ArrayOfOdemeIslemleri
     */
    public function addToOdemeIslemleri(\StructType\OdemeIslemleri $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OdemeIslemleri) {
            throw new \InvalidArgumentException(sprintf('The OdemeIslemleri property can only contain items of type \StructType\OdemeIslemleri, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OdemeIslemleri[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OdemeIslemleri|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OdemeIslemleri|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OdemeIslemleri|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OdemeIslemleri|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OdemeIslemleri|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OdemeIslemleri
     */
    public function getAttributeName()
    {
        return 'OdemeIslemleri';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfOdemeIslemleri
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
