<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOdemeIslemleriDetay ArrayType
 * @subpackage Arrays
 */
class ArrayOfOdemeIslemleriDetay extends AbstractStructArrayBase
{
    /**
     * The OdemeIslemleriDetay
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OdemeIslemleriDetay[]
     */
    public $OdemeIslemleriDetay;
    /**
     * Constructor method for ArrayOfOdemeIslemleriDetay
     * @uses ArrayOfOdemeIslemleriDetay::setOdemeIslemleriDetay()
     * @param \StructType\OdemeIslemleriDetay[] $odemeIslemleriDetay
     */
    public function __construct(array $odemeIslemleriDetay = array())
    {
        $this
            ->setOdemeIslemleriDetay($odemeIslemleriDetay);
    }
    /**
     * Get OdemeIslemleriDetay value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OdemeIslemleriDetay[]|null
     */
    public function getOdemeIslemleriDetay()
    {
        return isset($this->OdemeIslemleriDetay) ? $this->OdemeIslemleriDetay : null;
    }
    /**
     * This method is responsible for validating the values passed to the setOdemeIslemleriDetay method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOdemeIslemleriDetay method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOdemeIslemleriDetayForArrayConstraintsFromSetOdemeIslemleriDetay(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem) {
            // validation for constraint: itemType
            if (!$arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem instanceof \StructType\OdemeIslemleriDetay) {
                $invalidValues[] = is_object($arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem) ? get_class($arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem) : sprintf('%s(%s)', gettype($arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem), var_export($arrayOfOdemeIslemleriDetayOdemeIslemleriDetayItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OdemeIslemleriDetay property can only contain items of type \StructType\OdemeIslemleriDetay, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OdemeIslemleriDetay value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OdemeIslemleriDetay[] $odemeIslemleriDetay
     * @return \ArrayType\ArrayOfOdemeIslemleriDetay
     */
    public function setOdemeIslemleriDetay(array $odemeIslemleriDetay = array())
    {
        // validation for constraint: array
        if ('' !== ($odemeIslemleriDetayArrayErrorMessage = self::validateOdemeIslemleriDetayForArrayConstraintsFromSetOdemeIslemleriDetay($odemeIslemleriDetay))) {
            throw new \InvalidArgumentException($odemeIslemleriDetayArrayErrorMessage, __LINE__);
        }
        if (is_null($odemeIslemleriDetay) || (is_array($odemeIslemleriDetay) && empty($odemeIslemleriDetay))) {
            unset($this->OdemeIslemleriDetay);
        } else {
            $this->OdemeIslemleriDetay = $odemeIslemleriDetay;
        }
        return $this;
    }
    /**
     * Add item to OdemeIslemleriDetay value
     * @throws \InvalidArgumentException
     * @param \StructType\OdemeIslemleriDetay $item
     * @return \ArrayType\ArrayOfOdemeIslemleriDetay
     */
    public function addToOdemeIslemleriDetay(\StructType\OdemeIslemleriDetay $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OdemeIslemleriDetay) {
            throw new \InvalidArgumentException(sprintf('The OdemeIslemleriDetay property can only contain items of type \StructType\OdemeIslemleriDetay, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OdemeIslemleriDetay[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OdemeIslemleriDetay|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OdemeIslemleriDetay|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OdemeIslemleriDetay|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OdemeIslemleriDetay|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OdemeIslemleriDetay|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OdemeIslemleriDetay
     */
    public function getAttributeName()
    {
        return 'OdemeIslemleriDetay';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfOdemeIslemleriDetay
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
