<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CariKoduveSifre StructType
 * @subpackage Structs
 */
class CariKoduveSifre extends AbstractStructBase
{
    /**
     * The IsWebSiparisKoduOlsun
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsWebSiparisKoduOlsun;
    /**
     * The GonderenCariKodu
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $GonderenCariKodu;
    /**
     * The WebPassword
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $WebPassword;
    /**
     * The BasTar
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BasTar;
    /**
     * The BitTar
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BitTar;
    /**
     * Constructor method for CariKoduveSifre
     * @uses CariKoduveSifre::setIsWebSiparisKoduOlsun()
     * @uses CariKoduveSifre::setGonderenCariKodu()
     * @uses CariKoduveSifre::setWebPassword()
     * @uses CariKoduveSifre::setBasTar()
     * @uses CariKoduveSifre::setBitTar()
     * @param bool $isWebSiparisKoduOlsun
     * @param string $gonderenCariKodu
     * @param string $webPassword
     * @param string $basTar
     * @param string $bitTar
     */
    public function __construct($isWebSiparisKoduOlsun = null, $gonderenCariKodu = null, $webPassword = null, $basTar = null, $bitTar = null)
    {
        $this
            ->setIsWebSiparisKoduOlsun($isWebSiparisKoduOlsun)
            ->setGonderenCariKodu($gonderenCariKodu)
            ->setWebPassword($webPassword)
            ->setBasTar($basTar)
            ->setBitTar($bitTar);
    }
    /**
     * Get IsWebSiparisKoduOlsun value
     * @return bool
     */
    public function getIsWebSiparisKoduOlsun()
    {
        return $this->IsWebSiparisKoduOlsun;
    }
    /**
     * Set IsWebSiparisKoduOlsun value
     * @param bool $isWebSiparisKoduOlsun
     * @return \StructType\CariKoduveSifre
     */
    public function setIsWebSiparisKoduOlsun($isWebSiparisKoduOlsun = null)
    {
        // validation for constraint: boolean
        if (!is_null($isWebSiparisKoduOlsun) && !is_bool($isWebSiparisKoduOlsun)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isWebSiparisKoduOlsun, true), gettype($isWebSiparisKoduOlsun)), __LINE__);
        }
        $this->IsWebSiparisKoduOlsun = $isWebSiparisKoduOlsun;
        return $this;
    }
    /**
     * Get GonderenCariKodu value
     * @return string|null
     */
    public function getGonderenCariKodu()
    {
        return $this->GonderenCariKodu;
    }
    /**
     * Set GonderenCariKodu value
     * @param string $gonderenCariKodu
     * @return \StructType\CariKoduveSifre
     */
    public function setGonderenCariKodu($gonderenCariKodu = null)
    {
        // validation for constraint: string
        if (!is_null($gonderenCariKodu) && !is_string($gonderenCariKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gonderenCariKodu, true), gettype($gonderenCariKodu)), __LINE__);
        }
        $this->GonderenCariKodu = $gonderenCariKodu;
        return $this;
    }
    /**
     * Get WebPassword value
     * @return string|null
     */
    public function getWebPassword()
    {
        return $this->WebPassword;
    }
    /**
     * Set WebPassword value
     * @param string $webPassword
     * @return \StructType\CariKoduveSifre
     */
    public function setWebPassword($webPassword = null)
    {
        // validation for constraint: string
        if (!is_null($webPassword) && !is_string($webPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($webPassword, true), gettype($webPassword)), __LINE__);
        }
        $this->WebPassword = $webPassword;
        return $this;
    }
    /**
     * Get BasTar value
     * @return string|null
     */
    public function getBasTar()
    {
        return $this->BasTar;
    }
    /**
     * Set BasTar value
     * @param string $basTar
     * @return \StructType\CariKoduveSifre
     */
    public function setBasTar($basTar = null)
    {
        // validation for constraint: string
        if (!is_null($basTar) && !is_string($basTar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($basTar, true), gettype($basTar)), __LINE__);
        }
        $this->BasTar = $basTar;
        return $this;
    }
    /**
     * Get BitTar value
     * @return string|null
     */
    public function getBitTar()
    {
        return $this->BitTar;
    }
    /**
     * Set BitTar value
     * @param string $bitTar
     * @return \StructType\CariKoduveSifre
     */
    public function setBitTar($bitTar = null)
    {
        // validation for constraint: string
        if (!is_null($bitTar) && !is_string($bitTar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bitTar, true), gettype($bitTar)), __LINE__);
        }
        $this->BitTar = $bitTar;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CariKoduveSifre
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
