<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TeslimatBilgisiSonuc StructType
 * @subpackage Structs
 */
class TeslimatBilgisiSonuc extends AbstractStructBase
{
    /**
     * The HataSonucu
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HataSonucu;
    /**
     * The HataAciklamasi
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $HataAciklamasi;
    /**
     * The TeslimatBilgisi
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TeslimatBilgisi
     */
    public $TeslimatBilgisi;
    /**
     * Constructor method for TeslimatBilgisiSonuc
     * @uses TeslimatBilgisiSonuc::setHataSonucu()
     * @uses TeslimatBilgisiSonuc::setHataAciklamasi()
     * @uses TeslimatBilgisiSonuc::setTeslimatBilgisi()
     * @param int $hataSonucu
     * @param string $hataAciklamasi
     * @param \StructType\TeslimatBilgisi $teslimatBilgisi
     */
    public function __construct($hataSonucu = null, $hataAciklamasi = null, \StructType\TeslimatBilgisi $teslimatBilgisi = null)
    {
        $this
            ->setHataSonucu($hataSonucu)
            ->setHataAciklamasi($hataAciklamasi)
            ->setTeslimatBilgisi($teslimatBilgisi);
    }
    /**
     * Get HataSonucu value
     * @return int
     */
    public function getHataSonucu()
    {
        return $this->HataSonucu;
    }
    /**
     * Set HataSonucu value
     * @param int $hataSonucu
     * @return \StructType\TeslimatBilgisiSonuc
     */
    public function setHataSonucu($hataSonucu = null)
    {
        // validation for constraint: int
        if (!is_null($hataSonucu) && !(is_int($hataSonucu) || ctype_digit($hataSonucu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hataSonucu, true), gettype($hataSonucu)), __LINE__);
        }
        $this->HataSonucu = $hataSonucu;
        return $this;
    }
    /**
     * Get HataAciklamasi value
     * @return string|null
     */
    public function getHataAciklamasi()
    {
        return $this->HataAciklamasi;
    }
    /**
     * Set HataAciklamasi value
     * @param string $hataAciklamasi
     * @return \StructType\TeslimatBilgisiSonuc
     */
    public function setHataAciklamasi($hataAciklamasi = null)
    {
        // validation for constraint: string
        if (!is_null($hataAciklamasi) && !is_string($hataAciklamasi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($hataAciklamasi, true), gettype($hataAciklamasi)), __LINE__);
        }
        $this->HataAciklamasi = $hataAciklamasi;
        return $this;
    }
    /**
     * Get TeslimatBilgisi value
     * @return \StructType\TeslimatBilgisi|null
     */
    public function getTeslimatBilgisi()
    {
        return $this->TeslimatBilgisi;
    }
    /**
     * Set TeslimatBilgisi value
     * @param \StructType\TeslimatBilgisi $teslimatBilgisi
     * @return \StructType\TeslimatBilgisiSonuc
     */
    public function setTeslimatBilgisi(\StructType\TeslimatBilgisi $teslimatBilgisi = null)
    {
        $this->TeslimatBilgisi = $teslimatBilgisi;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TeslimatBilgisiSonuc
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
